diff --git a/libCERTI/M_Classes.hh b/libCERTI/M_Classes.hh
index 2ff4438f..220d7014 100644
--- a/libCERTI/M_Classes.hh
+++ b/libCERTI/M_Classes.hh
@@ -3417,8 +3417,8 @@ public:
 
 class CERTI_EXPORT M_Factory {
     public:
-        static Message* create(M_Type type) throw (NetworkError ,NetworkSignal); 
-        static Message* receive(MStreamType stream) throw (NetworkError ,NetworkSignal); 
+        static Message* create(M_Type type);
+        static Message* receive(MStreamType stream);
     protected:
     private:
 };
diff --git a/libCERTI/NM_Classes.cc b/libCERTI/NM_Classes.cc
index b895d113..9b8a44e8 100644
--- a/libCERTI/NM_Classes.cc
+++ b/libCERTI/NM_Classes.cc
@@ -5549,7 +5549,8 @@ std::ostream& operator<<(std::ostream& os, const New_NetworkMessage& msg)
     return os;
 }
 
-NetworkMessage* NM_Factory::create(NM_Type type) throw (NetworkError ,NetworkSignal) { 
+NetworkMessage* NM_Factory::create(NM_Type type)
+{
     NetworkMessage* msg = NULL;
 
     switch (type) {
@@ -5872,7 +5873,8 @@ NetworkMessage* NM_Factory::create(NM_Type type) throw (NetworkError ,NetworkSig
     return msg;
 } /* end of NM_Factory::create */
 
-NetworkMessage* NM_Factory::receive(NMStreamType stream) throw (NetworkError ,NetworkSignal) { 
+NetworkMessage* NM_Factory::receive(NMStreamType stream)
+{
     // FIXME This is not thread safe
     static libhla::MessageBuffer msgBuffer;
     NetworkMessage  msgGen;
diff --git a/libCERTI/NM_Classes.hh b/libCERTI/NM_Classes.hh
index bf0f60a2..522cc459 100644
--- a/libCERTI/NM_Classes.hh
+++ b/libCERTI/NM_Classes.hh
@@ -2324,8 +2324,8 @@ std::ostream& operator<<(std::ostream& os, const New_NetworkMessage& msg);
 
 class CERTI_EXPORT NM_Factory {
     public:
-        static NetworkMessage* create(NM_Type type) throw (NetworkError ,NetworkSignal); 
-        static NetworkMessage* receive(NMStreamType stream) throw (NetworkError ,NetworkSignal); 
+        static NetworkMessage* create(NM_Type type);
+        static NetworkMessage* receive(NMStreamType stream);
     protected:
     private:
 };
diff --git a/libRTI/hla-1_3/RTIambPrivateRefs.cc b/libRTI/hla-1_3/RTIambPrivateRefs.cc
index 6eaa3f9c..5be8856f 100644
--- a/libRTI/hla-1_3/RTIambPrivateRefs.cc
+++ b/libRTI/hla-1_3/RTIambPrivateRefs.cc
@@ -86,7 +86,7 @@ RTIambPrivateRefs::~RTIambPrivateRefs()
 }
 
 // ----------------------------------------------------------------------------
-void RTIambPrivateRefs::leave(const char* msg) throw(RTI::RTIinternalError)
+void RTIambPrivateRefs::leave(const char* msg)
 {
     std::stringstream smsg;
     smsg << "RTI called leave because <" << msg << ">";
@@ -608,7 +608,7 @@ void RTIambPrivateRefs::processException(Message* msg)
         throw RTI::RTIinternalError(msg.str().c_str());                                                                \
     }
 
-void RTIambPrivateRefs::callFederateAmbassador(Message* msg) throw(RTI::RTIinternalError)
+void RTIambPrivateRefs::callFederateAmbassador(Message* msg)
 {
     switch (msg->getMessageType()) {
     case Message::SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED:
diff --git a/libRTI/hla-1_3/RTIambPrivateRefs.hh b/libRTI/hla-1_3/RTIambPrivateRefs.hh
index 5902d27e..7f66d6e2 100644
--- a/libRTI/hla-1_3/RTIambPrivateRefs.hh
+++ b/libRTI/hla-1_3/RTIambPrivateRefs.hh
@@ -39,8 +39,8 @@ public:
     void processException(Message *);
     void executeService(Message *req, Message *rep);
     void sendTickRequestStop();
-    void callFederateAmbassador(Message *msg) throw (RTI::RTIinternalError);
-    void leave(const char *msg) throw (RTI::RTIinternalError);
+    void callFederateAmbassador(Message *msg);
+    void leave(const char *msg);
 
 #ifdef _WIN32
 	  HANDLE	handle_RTIA;
